
/* lcau2f.h			*/
/* header file for lcau2f.c	*/
/* 12 May 1989			*/


# define COLGRAF		4  /* graph resolution			*/
# define T80X25			3  /* text resolution			*/
# define WHCYMAG		1  /* color quad for normal screen	*/
# define YELREGR		2  /* alternative color palette 	*/
# define CR		        5  /* cursor reference - row editor	*/
# define CM		        7  /* cursor reference - main menu	*/
# define CL		       11  /* cursor reference - line editor	*/
# define AL      	    16384  /* array length			*/
# define SL		       40  /* short array length		*/
# define YL      	      320  /* screen length  (normally 320)	*/
# define KK	     		2  /* number of states per cell		*/
# define DS  	KK*KK*KK*KK*KK*KK  /* number of distinct neighborhoods	*/
# define TS	       6*(KK-1)+1  /* distinct sums w/totalistic rule	*/
# define BD		       25  /* max number Bernstein coeffs	*/ 

# define NX			5  /* number of demonstration rules	*/
# define NY		       14  /* number of REC demonstrations  	*/

# define CLEN		       76  /* rec source program length	 	*/
# define PLEN		   8*CLEN  /* rec object program length	 	*/

# define DROWS		20	/* no of rows in demo menu       */
# define DCOLS		36	/* column for second col in d.m. */

# define RROWS		20	/* no of rows in demo menu       */
# define RCOLS		32	/* column for second col in d.m. */

# define HCH   32	/* characters+1 in help menus (text screen)    */
# define GCH   26	/* characters+1 in help menus (graphic screen) */

/* end lcau2f.h */
